"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.isMouseEvent = isMouseEvent;
exports.isTouchEvent = isTouchEvent;
exports.supportsTouchEvents = exports.supportsPointerEvents = void 0;
// use `self` instead of `window`, account for non-window contexts, such as in Web Workers
// @see https://developer.mozilla.org/en-US/docs/Web/API/Window/self
var supportsTouchEvents = ('ontouchstart' in self);
exports.supportsTouchEvents = supportsTouchEvents;
var supportsPointerEvents = !!self.PointerEvent;
exports.supportsPointerEvents = supportsPointerEvents;

function isTouchEvent(event) {
  return supportsTouchEvents && event instanceof TouchEvent;
}

function isMouseEvent(event) {
  return !self.MouseEvent || event instanceof MouseEvent && (!supportsPointerEvents || !(event instanceof self.PointerEvent));
}